This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push: new d4231ca Stop pinging on removal of target dir d4231ca is described below
commit d4231ca88d4874661f4b829b26c041ae08da32ab Author: Bernard Ogden bernie.ogden@linaro.org Date: Tue Aug 11 10:01:41 2015 +0200
Stop pinging on removal of target dir
Previous method checked for non-existence of a file that could be created and deleted between checks. This method will always exit.
Change-Id: Ifc8c5ecc2b744c21e77fafe07e161ac5a34993ec --- scripts/runbenchmark.sh | 6 +----- 1 file changed, 1 insertion(+), 5 deletions(-)
diff --git a/scripts/runbenchmark.sh b/scripts/runbenchmark.sh index 5bb8f51..7be7a14 100755 --- a/scripts/runbenchmark.sh +++ b/scripts/runbenchmark.sh @@ -183,7 +183,7 @@ fi ../controlledrun.sh ${cautious} ${flags} -l ${tee_output} -- ./linarobench.sh [...] ret=\$?; \ echo \${ret} > ${target_dir}/RETCODE && \ - while ! test -e ${target_dir}/postrunack; do \ + while test -e ${target_dir}; do \ ping -c 1 ${host_ip}; \ sleep 11; \ done; \ @@ -202,10 +202,6 @@ fi #Today LAVA lab does not provide DNS, but IP seems stable in practice #Rather than work around lack of DNS, just make sure we notice if the IP changes while ! tcpdump -c 1 -i eth0 'icmp and icmp[icmptype]=icmp-echo' | grep -q "${ip} [...] -if ! (. ${topdir}/lib/common.sh; remote_exec "${ip}" "touch ${target_dir}/postruna [...] - echo "Warning: Failed to send post-run ack to target" - #Don't set $error, this is just a warning -fi error="`(. ${topdir}/lib/common.sh; remote_exec "${ip}" 'cat ${target_dir}/RETCODE [...] if test $? -ne 0; then echo "Unable to determine exit code, assuming the worst." 1>&2